%define upstream_name    Alien-wxWidgets
%define upstream_version 0.62

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Building, finding and using wxWidgets binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Alien-wxWidgets-0.43-fix-wrong-libname.patch

BuildRequires: perl(ExtUtils::CBuilder) >= 0.240.0
BuildRequires: perl(File::Spec) >= 1.500.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Module::Pluggable) >= 2.600.0
BuildRequires: wxgtku2.8-devel
%description
In short Alien::wxWidgets can be used to detect and get configuration settings
from an installed wxWidgets.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# fix bug 45256
%patch0 -p0 -b .libname

%build
%{__perl} Build.PL installdirs=vendor < /dev/null
./Build

%install
./Build install destdir=%{buildroot}

%check
./Build test

%files 
%doc Changes META.yml MYMETA.yml
%{perl_vendorarch}/*
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.620.0-2.mga3
+ Revision: 362923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.620.0-1.mga3
+ Revision: 302422
- update to 0.62

* Wed Sep 26 2012 jquelin <jquelin> 0.610.0-1.mga3
+ Revision: 297965
- update to 0.61

* Tue Jun 05 2012 jquelin <jquelin> 0.590.0-1.mga3
+ Revision: 254567
- update to 0.59

* Wed May 30 2012 jquelin <jquelin> 0.550.0-2.mga3
+ Revision: 250262
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.550.0-1.mga2
+ Revision: 218767
- update list of files
- update to 0.55

* Thu Nov 10 2011 kharec <kharec> 0.540.0-1.mga2
+ Revision: 166097
- update to 0.54

* Thu Oct 13 2011 jquelin <jquelin> 0.530.0-1.mga2
+ Revision: 154516
- update to 0.53

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Wed Jun 15 2011 jquelin <jquelin> 0.520.0-1.mga2
+ Revision: 106453
- update to 0.52

* Sat Jun 11 2011 jquelin <jquelin> 0.510.0-3.mga2
+ Revision: 103447
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.510.0-2.mga1
+ Revision: 31715
- mageia rebuild
- imported package perl-Alien-wxWidgets

